VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo:
[legend]

## Public Member Functions

| CommandBufferBeginInfo (CommandBufferUsageFlags flags_=CommandBufferUsageFlags(), const CommandBufferInheritanceInfo *pInheritanceInfo_=nullptr)
| CommandBufferBeginInfo (VkCommandBufferBeginInfo const &rhs)
CommandBufferBeginInfo & | operator= (VkCommandBufferBeginInfo const &rhs)
CommandBufferBeginInfo & | setPNext (const void *pNext_)
CommandBufferBeginInfo & | setFlags (CommandBufferUsageFlags flags_)
CommandBufferBeginInfo & | setPInheritanceInfo (const CommandBufferInheritanceInfo *pInheritanceInfo_)
| operator VkCommandBufferBeginInfo const & () const
| operator VkCommandBufferBeginInfo & ()
bool | operator== (CommandBufferBeginInfo const &rhs) const
bool | operator!= (CommandBufferBeginInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
CommandBufferUsageFlags | flags
const CommandBufferInheritanceInfo * | pInheritanceInfo

## Private Attributes

StructureType | sType = StructureType::eCommandBufferBeginInfo

## Detailed Description

Definition at line 24546 of file vulkan.hpp.

## Constructor & Destructor Documentation

## CommandBufferBeginInfo() [1/2]

VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::CommandBufferBeginInfo | ( | CommandBufferUsageFlags | flags_ = `CommandBufferUsageFlags()`,
|  | const CommandBufferInheritanceInfo * | pInheritanceInfo_ = `nullptr`
| ) |  |

inline

Definition at line 24548 of file vulkan.hpp.

: flags( flags_ )
, pInheritanceInfo( pInheritanceInfo_ )
{
}

## CommandBufferBeginInfo() [2/2]

VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::CommandBufferBeginInfo | ( | VkCommandBufferBeginInfo const & | rhs | ) |

inline

Definition at line 24555 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CommandBufferBeginInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkCommandBufferBeginInfo &()

VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::operator VkCommandBufferBeginInfo & | ( |  | ) |

inline

Definition at line 24588 of file vulkan.hpp.

{
return *reinterpret_cast<VkCommandBufferBeginInfo*>(this);
}

## operator VkCommandBufferBeginInfo const &()

VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::operator VkCommandBufferBeginInfo const & | ( |  | ) | const

inline

Definition at line 24583 of file vulkan.hpp.

{
return *reinterpret_cast<const VkCommandBufferBeginInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::operator!= | ( | CommandBufferBeginInfo const & | rhs | ) | const

inline

Definition at line 24601 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

CommandBufferBeginInfo& VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::operator= | ( | VkCommandBufferBeginInfo const & | rhs | ) |

inline

Definition at line 24560 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CommandBufferBeginInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::operator== | ( | CommandBufferBeginInfo const & | rhs | ) | const

inline

Definition at line 24593 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( pInheritanceInfo == rhs.pInheritanceInfo );
}

References flags, pInheritanceInfo, pNext, and sType.

Referenced by operator!=().

## setFlags()

CommandBufferBeginInfo& VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::setFlags | ( | CommandBufferUsageFlags | flags_ | ) |

inline

Definition at line 24571 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPInheritanceInfo()

CommandBufferBeginInfo& VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::setPInheritanceInfo | ( | const CommandBufferInheritanceInfo * | pInheritanceInfo_ | ) |

inline

Definition at line 24577 of file vulkan.hpp.

{
pInheritanceInfo = pInheritanceInfo_;
return *this;
}

References pInheritanceInfo.

## setPNext()

CommandBufferBeginInfo& VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 24565 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## flags

CommandBufferUsageFlags VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::flags

Definition at line 24611 of file vulkan.hpp.

Referenced by operator==().

## pInheritanceInfo

const CommandBufferInheritanceInfo* VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::pInheritanceInfo

Definition at line 24612 of file vulkan.hpp.

Referenced by operator==(), and setPInheritanceInfo().

## pNext

const void* VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::pNext = nullptr

Definition at line 24610 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::sType = StructureType::eCommandBufferBeginInfo

private

Definition at line 24607 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::operator==
bool operator==(CommandBufferBeginInfo const &rhs) const
Definition: vulkan.hpp:24593
VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::pInheritanceInfo
const CommandBufferInheritanceInfo * pInheritanceInfo
Definition: vulkan.hpp:24612
VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::CommandBufferBeginInfo
CommandBufferBeginInfo(CommandBufferUsageFlags flags_=CommandBufferUsageFlags(), const CommandBufferInheritanceInfo *pInheritanceInfo_=nullptr)
Definition: vulkan.hpp:24548
VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::sType
StructureType sType
Definition: vulkan.hpp:24607
VkCommandBufferBeginInfo
Definition: vulkan_core.h:2696
VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::pNext
const void * pNext
Definition: vulkan.hpp:24610
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::CommandBufferBeginInfo::flags
CommandBufferUsageFlags flags
Definition: vulkan.hpp:24611